# Class JsonFormatter.JSONFilter

java.lang.Object
org.apache.juli.JsonFormatter.JSONFilter

Enclosing class:
  `JsonFormatter`

public class JsonFormatter.JSONFilter extends Object
Provides escaping of values so they can be included in a JSON document. Escaping is based on the definition of JSON found in RFC 8259.

## Method Summary

Modifier and Type
Method
Description
`static CharSequence`
`escape(CharSequence input, int off, int length)`
Escape the given char sequence.
`static String`
`escape(String input)`
Escape the given string.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### escape

public static String escape(String input)
Escape the given string.

Parameters:
  `input` - the string
Returns:
  the escaped string

### escape

public static CharSequence escape(CharSequence input, int off, int length)
Escape the given char sequence.

Parameters:
  `input` - the char sequence
  `off` - the offset on which escaping will start
  `length` - the length which should be escaped
Returns:
  the escaped char sequence corresponding to the specified range